com.sun.grid.jgdi.configuration

## Class ComplexEntryImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ComplexEntryImpl

- All Implemented Interfaces:
    ComplexEntry, GEObject, java.io.Serializable, java.lang.Cloneable

      public class ComplexEntryImpl
      extends GEObjectImpl
      implements ComplexEntry

  Java representation of the cull object CE_Type defined in sge_all_listsL.template

  Warning: The ComplexEntryImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexEntryImpl()` Create a new instance of ComplexEntryImpl.
    `ComplexEntryImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ComplexEntryImpl(java.lang.String name)` Create a new instance of ComplexEntryImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getConsumable()` Get the value of the consumable attribute.
    `java.lang.String` | `getDefault()` Get the value of the default attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getRelop()` Get the value of the relop attribute.
    `int` | `getRequestable()` Get the value of the requestable attribute.
    `java.lang.String` | `getShortcut()` Get the value of the shortcut attribute.
    `java.lang.String` | `getStringval()` Get the value of the stringval attribute.
    `java.lang.String` | `getUrgencyWeight()` Get the value of the urgencyWeight attribute.
    `int` | `getValtype()` Get the value of the valtype attribute.
    `boolean` | `isSetConsumable()` Determine if the consumable attribute is set
    `boolean` | `isSetDefault()` Determine if the default attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetRelop()` Determine if the relop attribute is set
    `boolean` | `isSetRequestable()` Determine if the requestable attribute is set
    `boolean` | `isSetShortcut()` Determine if the shortcut attribute is set
    `boolean` | `isSetStringval()` Determine if the stringval attribute is set
    `boolean` | `isSetUrgencyWeight()` Determine if the urgencyWeight attribute is set
    `boolean` | `isSetValtype()` Determine if the valtype attribute is set
    `int` | `opToInt(java.lang.String type)`
    `java.lang.String` | `opToString(int op)`
    `int` | `reqToInt(java.lang.String type)`
    `java.lang.String` | `reqToString(int op)`
    `void` | `setConsumable(int aConsumable)` Set the consumable attribute.
    `void` | `setDefault(java.lang.String aDefault)` Set the default attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setRelop(int aRelop)` Set the relop attribute.
    `void` | `setRequestable(int aRequestable)` Set the requestable attribute.
    `void` | `setShortcut(java.lang.String aShortcut)` Set the shortcut attribute.
    `void` | `setStringval(java.lang.String aStringval)` Set the stringval attribute.
    `void` | `setUrgencyWeight(java.lang.String aUrgencyWeight)` Set the urgencyWeight attribute.
    `void` | `setValtype(int aValtype)` Set the valtype attribute.
    `java.lang.String` | `toString()`
    `int` | `typeToInt(java.lang.String type)`
    `java.lang.String` | `typeToString(int type)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ComplexEntryImpl

          public ComplexEntryImpl()

      Create a new instance of ComplexEntryImpl. The new instance will not be initialized with the default values.

    - #### ComplexEntryImpl

          public ComplexEntryImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ComplexEntryImpl

          public ComplexEntryImpl(java.lang.String name)

      Create a new instance of ComplexEntryImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ComplexEntry`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ComplexEntry`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `ComplexEntry`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetShortcut

          public boolean isSetShortcut()

      Determine if the shortcut attribute is set
      Specified by:
        `isSetShortcut` in interface `ComplexEntry`
      Returns:
        `true` if the shortcut attribute is set

    - #### setShortcut

          public void setShortcut(java.lang.String aShortcut)

      Set the shortcut attribute.
      Specified by:
        `setShortcut` in interface `ComplexEntry`
      Parameters:
        `aShortcut` - the new value for the shortcut attribute

    - #### getShortcut

          public java.lang.String getShortcut()

      Get the value of the shortcut attribute.
      Specified by:
        `getShortcut` in interface `ComplexEntry`
      Returns:
        the value of the shortcut attribute

    - #### isSetValtype

          public boolean isSetValtype()

      Determine if the valtype attribute is set
      Specified by:
        `isSetValtype` in interface `ComplexEntry`
      Returns:
        `true` if the valtype attribute is set

    - #### setValtype

          public void setValtype(int aValtype)

      Set the valtype attribute.
      Specified by:
        `setValtype` in interface `ComplexEntry`
      Parameters:
        `aValtype` - the new value for the valtype attribute

    - #### getValtype

          public int getValtype()

      Get the value of the valtype attribute.
      Specified by:
        `getValtype` in interface `ComplexEntry`
      Returns:
        the value of the valtype attribute

    - #### isSetStringval

          public boolean isSetStringval()

      Determine if the stringval attribute is set
      Specified by:
        `isSetStringval` in interface `ComplexEntry`
      Returns:
        `true` if the stringval attribute is set

    - #### setStringval

          public void setStringval(java.lang.String aStringval)

      Set the stringval attribute.
      Specified by:
        `setStringval` in interface `ComplexEntry`
      Parameters:
        `aStringval` - the new value for the stringval attribute

    - #### getStringval

          public java.lang.String getStringval()

      Get the value of the stringval attribute.
      Specified by:
        `getStringval` in interface `ComplexEntry`
      Returns:
        the value of the stringval attribute

    - #### isSetRelop

          public boolean isSetRelop()

      Determine if the relop attribute is set
      Specified by:
        `isSetRelop` in interface `ComplexEntry`
      Returns:
        `true` if the relop attribute is set

    - #### setRelop

          public void setRelop(int aRelop)

      Set the relop attribute.
      Specified by:
        `setRelop` in interface `ComplexEntry`
      Parameters:
        `aRelop` - the new value for the relop attribute

    - #### getRelop

          public int getRelop()

      Get the value of the relop attribute.
      Specified by:
        `getRelop` in interface `ComplexEntry`
      Returns:
        the value of the relop attribute

    - #### isSetConsumable

          public boolean isSetConsumable()

      Determine if the consumable attribute is set
      Specified by:
        `isSetConsumable` in interface `ComplexEntry`
      Returns:
        `true` if the consumable attribute is set

    - #### setConsumable

          public void setConsumable(int aConsumable)

      Set the consumable attribute.
      Specified by:
        `setConsumable` in interface `ComplexEntry`
      Parameters:
        `aConsumable` - the new value for the consumable attribute

    - #### getConsumable

          public int getConsumable()

      Get the value of the consumable attribute.
      Specified by:
        `getConsumable` in interface `ComplexEntry`
      Returns:
        the value of the consumable attribute

    - #### isSetDefault

          public boolean isSetDefault()

      Determine if the default attribute is set
      Specified by:
        `isSetDefault` in interface `ComplexEntry`
      Returns:
        `true` if the default attribute is set

    - #### setDefault

          public void setDefault(java.lang.String aDefault)

      Set the default attribute.
      Specified by:
        `setDefault` in interface `ComplexEntry`
      Parameters:
        `aDefault` - the new value for the default attribute

    - #### getDefault

          public java.lang.String getDefault()

      Get the value of the default attribute.
      Specified by:
        `getDefault` in interface `ComplexEntry`
      Returns:
        the value of the default attribute

    - #### isSetRequestable

          public boolean isSetRequestable()

      Determine if the requestable attribute is set
      Specified by:
        `isSetRequestable` in interface `ComplexEntry`
      Returns:
        `true` if the requestable attribute is set

    - #### setRequestable

          public void setRequestable(int aRequestable)

      Set the requestable attribute.
      Specified by:
        `setRequestable` in interface `ComplexEntry`
      Parameters:
        `aRequestable` - the new value for the requestable attribute

    - #### getRequestable

          public int getRequestable()

      Get the value of the requestable attribute.
      Specified by:
        `getRequestable` in interface `ComplexEntry`
      Returns:
        the value of the requestable attribute

    - #### isSetUrgencyWeight

          public boolean isSetUrgencyWeight()

      Determine if the urgencyWeight attribute is set
      Specified by:
        `isSetUrgencyWeight` in interface `ComplexEntry`
      Returns:
        `true` if the urgencyWeight attribute is set

    - #### setUrgencyWeight

          public void setUrgencyWeight(java.lang.String aUrgencyWeight)

      Set the urgencyWeight attribute.
      Specified by:
        `setUrgencyWeight` in interface `ComplexEntry`
      Parameters:
        `aUrgencyWeight` - the new value for the urgencyWeight attribute

    - #### getUrgencyWeight

          public java.lang.String getUrgencyWeight()

      Get the value of the urgencyWeight attribute.
      Specified by:
        `getUrgencyWeight` in interface `ComplexEntry`
      Returns:
        the value of the urgencyWeight attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ComplexEntry`

    - #### typeToString

          public java.lang.String typeToString(int type)

      Specified by:
        `typeToString` in interface `ComplexEntry`

    - #### typeToInt

          public int typeToInt(java.lang.String type)

      Specified by:
        `typeToInt` in interface `ComplexEntry`

    - #### opToString

          public java.lang.String opToString(int op)

      Specified by:
        `opToString` in interface `ComplexEntry`

    - #### opToInt

          public int opToInt(java.lang.String type)

      Specified by:
        `opToInt` in interface `ComplexEntry`

    - #### reqToString

          public java.lang.String reqToString(int op)

      Specified by:
        `reqToString` in interface `ComplexEntry`

    - #### reqToInt

          public int reqToInt(java.lang.String type)

      Specified by:
        `reqToInt` in interface `ComplexEntry`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.